Subject: git to libgit2 code relicensing

From: Andreas Ericsson <[email-masked]>
Date: Fri, 14 Nov 2008 21:59:56 +0100

I've been working quite a lot on git -> libgit2 code moving,
but the licensing stuff is a bit depressing, as I can't know
if the work I'm doing is for nothing or not.

The license decided for libgit2 is "GPL with gcc exception".
Those who are OK with relicensing their contributions under
that license for the purpose of libgit2, can you please say
so?

I'm planning on writing a tool for this that will have "ok",
"not ok" and "ask-each-patch" as options.

The list of people whose position I know is rather short.
Please correct me if you're on it and would like not to be.
Junio C. Hamano		ask
Johannes Schindelin	ok
Shawn O. Pearce		ok
Andreas Ericsson	ok
Pierre Habouzit		ok
Brian Gernhardt		ok

I've put everyone who "owns" more than 500 lines of code
on the bcc list, figuring your permission is important
but that you don't want the hundreds (well, one can hope)
of emails from people saying "ok". The list of major owners
was generated with "git showners *.c" in a worktree from
the next branch of git.git.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231
#!/bin/sh

test "$#" -gt 0 || { echo "Usage: $0 <file>"; exit 1; }
combined=t
while test "$#" -gt 0
do
	case "$1" in
	-c|--combined)
		combined=t
	;;
	-i|--individual)
		combined=
	;;
	--)
		shift
		break
	;;
	*)
		break
	;;
	esac
	shift
done

sort_enumerate ()
{
	sed -e 's/[^(]*(\([^0-9]*\).*/\1/' -e 's/[\t ]*$//' \
		| sort | uniq -c | sort -nr
}

show_owners ()
{
	for f in "$@"; do
		test -d "$f" && { show_owners "$f"/*; continue; }

		git blame -C -C -M "$f"
	done
}

if test "$combined" = t; then
	echo "$@"
	show_owners "$@" | sort_enumerate
else
	echo "Showing one-at-a-time ownership"
	for f in "$@"; do
		echo "$f"
		show_owners "$f" | sort_enumerate
	done
fi